function dibujar_LineasDeAgua(fichero)

% Esta funcin dibuja en 3D las lneas de agua de un barco
% contenidas en un fichero dentro del directorio ./Lneas de Agua
% dibujar_LineasDeAgua(fichero)
% Variables de entrada:
% fichero nombre del archivo que contiene las lneas de agua del barco


% Lee las alturas de las lneas de agua, las secciones, y las semimangas

a=xlsread(['./Lneas de Agua/',fichero]);
[n,m]=size(a);

% secciones
x=a(1,2:m);
x=fliplr(x);

% alturas
z=a(2:n,1);

% semimangas
y=a(2:n,2:m);


% Creamos una figura
h=figure('Tag','lineas de Agua','Name',[blanks(6),'Lneas de Agua'],'Position',[100 100 1000 600]);
axis off

% Centramos y escalamos
set( h,'Units', 'pixels' );
screenSize = get(0, 'ScreenSize');

position = get( h,'Position');
position(1) = (screenSize(3)-position(3))/2;
position(2) = (screenSize(4)-position(4))/2;
set( h,'Position', position );

% dibujamos las lneas de agua

for k=1:n-1
    y_linea = y(k,1:m-1);
    z_linea = ones(1,m-1)*z(k);    
    plot3(x,y_linea,z_linea,'LineW',2)
    hold on
    plot3(x,-y_linea,z_linea,'LineW',2)
    hold on    
end


% Ponemos las indicaciones de las variables

axis('image')
grid on
box on 
zlabel('Calado [m]','FontW','Bold')
xlabel('Secciones [m]','FontW','Bold')
ylabel('Semimangas [m]','FontW','Bold')
title('Imagen 3D de las lneas de agua','FontW','Bold')
set(gca,'FontW','Bold')